## com.bbn.openmap.event
Class LayerStatusEvent

    java.lang.Object
      java.util.EventObject
          com.bbn.openmap.event.LayerStatusEvent

All Implemented Interfaces:
  java.io.Serializable

public class LayerStatusEvent
extends java.util.EventObject

An event to describe the computational status of a Layer.

See Also:
  Serialized Form

Field Summary
`static int` `DISTRESS`
`static int` `FINISH_WORKING`
`protected int` `percentageComplete`
`static int` `START_WORKING`
`protected int` `status`
`static int` `STATUS_UPDATE`
`protected int` `timeRemaining`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LayerStatusEvent(Layer source, int status)` Construct a LayerStatusEvent with a status.

Method Summary
`Layer` `getLayer()` Get the associated Layer.
`int` `getStatus()` Get the status of the layer.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### START_WORKING

    public static final transient int START_WORKING

See Also:
  Constant Field Values

### STATUS_UPDATE

    public static final transient int STATUS_UPDATE

See Also:
  Constant Field Values

### FINISH_WORKING

    public static final transient int FINISH_WORKING

See Also:
  Constant Field Values

### DISTRESS

    public static final transient int DISTRESS

See Also:
  Constant Field Values

### status

    protected int status

### percentageComplete

    protected int percentageComplete

### timeRemaining

    protected int timeRemaining

Constructor Detail

### LayerStatusEvent

    public LayerStatusEvent(Layer source,
                            int status)

  Construct a LayerStatusEvent with a status.

Parameters:
  `source` - Source Object
  `status` - the working status

Method Detail

### getStatus

    public int getStatus()

  Get the status of the layer.

  Returns:
    int status

### getLayer

    public Layer getLayer()

  Get the associated Layer.

  Returns:
    Layer

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details